---
- version: 3.4.0
  date: '2024-12-25'
  post: "/en/news/2024/12/25/ruby-3-4-0-released/"
  url:
    gz: https://cache.ruby-lang.org/pub/ruby/3.4/ruby-3.4.0.tar.gz
    xz: https://cache.ruby-lang.org/pub/ruby/3.4/ruby-3.4.0.tar.xz
    zip: https://cache.ruby-lang.org/pub/ruby/3.4/ruby-3.4.0.zip
  size:
    gz: 23153022
    xz: 17215572
    zip: 28310193
  sha1:
    gz: 8ccb561848a7c460ae08e1a120a47c4a88a79335
    xz: eb25447cc404e8d2e177c62550d0224ebd410e68
    zip: 26254ca5d3decc28a4e5faec255995265e5270b5
  sha256:
    gz: '068c8523442174bd3400e786f4a6952352c82b1b9f6210fd17fb4823086d3379'
    xz: '0081930db22121eb997207f56c0e22720d4f5d21264b5907693f516c32f233ca'
    zip: c120228038af04554f6363e716b0a32cbf53cf63c6adf9f2c22a24f43dc8b555
  sha512:
    gz: bc70ecba27d1cdea00879f03487cad137a7d9ab2ad376cfb7a65780ad14da637fa3944eeeede2c04ab31eeafb970c64ccfeeb854c99c1093937ecc1165731562
    xz: 776a2cf3e9ccc77c27500240f168aa3e996b0c7c1ee1ef5a7afc291a06c118444016fde38b5b139c0b800496b8eb1b5456562d833f0edc0658917164763b1af7
    zip: 4d535ed10db76a6aa74f8a025df319deb28483a7a781c24045906ee7663f1cff9d9f9e71dbc993c9e050113a34b37c7fa2143c355a0a6e1e1029bf2c92213ecc
